/* Remove all outline and space */
select,
input,
textarea {
    margin: 0;
    padding: 0;
    outline: none;
}

/* Global */
form.input.small {
    max-width: 400px;
}
form.input span.error {
    font-size: 11px;
    font-family: "Arial";
    color: #A00000;
    padding: 0 4px;
    display: block;
}
form.input .disable {
    pointer-events: none !important;
    background: rgba(0,0,0,.15) !important;
    cursor: not-allowed;
}

/* Form Construct */
form.input {
    width: 100%;
    box-sizing: border-box;
    margin: 12px 0;
}
form.input .input-box {
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 10px;
}
form.input .input-box.no-space,
form.input .input-box:last-child {
    margin: 0 !important;
}
form.input label {
    font-size: 10px;
    font-family: var(--font);
    color: var(--color-normal);
    margin-bottom:2px;
}
form.input input,
form.input textarea {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #E2E2E2;
    border-radius: 3px;
    padding: 8px 12px;
    color: black;
    background: white;
    font-size: 11px;
    font-family: var(--font);
}

/* Password */
form.input .password {
    position: relative;
    width: 100%;
    box-sizing: border-box;
}
form.input .password i {
    cursor: pointer;
    transition: .3s;
    font-size: 13px;
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    color: var(--color-normal);
}

/* Select & Option */
form.input select {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #E2E2E2;
    border-radius: 3px;
    padding: 8px 12px;
    color: black;
    background: white;
    font-size: 11px;
    font-family: var(--font);
    cursor: pointer;
}

/* Select & Filter */
form.input .drop {
    position: relative;
}
form.input .drop.active > ul {
    max-height: 200px;
}
form.input .drop > ul {
    width: 100%;
    box-sizing: border-box;
    max-height: 0;
    transition: .5s;
    overflow-y: auto;
    position: absolute;
    top: 99%;
    right: 0;
    overflow: hidden;
    min-width: 150px;
    background: white;
    box-shadow: 1px 2px 4px rgb(0,0,0,.1);
    list-style-type: none;
}
form.input .drop > ul li {
    font-size: 12px;
    font-family: var(--font);
    color: black;
    padding: 6px 15px;
    cursor: pointer;
    width: 100%;
    box-sizing: border-box;
    display: block;
    transition: .3s;
}
form.input .drop > ul li.trash {
    background: #730000;
    color: white;
}
form.input .drop > ul li:hover {
    background: var(--color-primary);
    color: white;
    transition: .3s;
}

/* Single Img */
form.input .single-img {
    width: 150px;
    height: 160px;
    box-sizing: border-box;
    position: relative;
}
form.input .single-img > .block {
    width: 100%;
    box-sizing: border-box;
    height: 150px;
    overflow: hidden;
    border: 1px solid rgba(0,0,0,.15);
}
form.input .single-img > .block img {
    height: 100%;
    object-fit: cover;
    object-position: center;
}
form.input .single-img > i {
    font-size: 11px;
    background: rgba(240, 240, 240);
    padding: 8px;
    position: absolute;
    right: -5px;
    bottom: -5px;
    border: 1px solid rgba(199, 199, 199);
    border-radius: 50%;
    cursor: pointer;
}

/* Upload PDF */
form.input .single-pdf {
    width: 100%;
    box-sizing: border-box;
    display: -webkit-flex;
    align-items: center;
    column-gap: 8px;
}
form.input .single-pdf p {
    width: 100%;
    box-sizing: border-box;
    font-size: 11px;
    font-family: "Poppins";
    border-radius: 3px;
    border: 1px solid rgba(0,0,0,.15);
}
form.input .single-pdf div.icon {
    width: 40px;
    height: 29px;
    box-sizing: border-box;
    display: grid;
    place-items: center;
    background: var(--color-primary);
    color: white;
    font-size: 15px;
    cursor: pointer;
    border-radius: 3px;
}

/* Number without increment */
form.input .input-box input[type="number"]::-webkit-outer-spin-button,
form.input .input-box input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    appearance: none;
}

/* Checkbox */
form.input .input-box .check-box {
    display: -webkit-flex;
    column-gap: 8px;
    align-items: center;
}
form.input .input-box .check-box > input {
    width: 20px;
    height: 20px;
    box-sizing: border-box;
    cursor: pointer;
    box-shadow: none;
    -webkit-box-shadow: none;
}
form.input .input-box .check-box > label {
    font-size: 13px;
    font-family: "Poppins";
    cursor: pointer;
    margin: 0;
}